Subject: [Fwd: Re: maîtrisons l'auto beaming !]

From: Editions IN NOMINE <[email-masked]>
Date: Thu, 06 May 2010 17:17:25 +0200

Encore un oubli (l'enthousiasme sans doute) : la discussion à laquelle 
je fais référence est ici :  
http://comments.gmane.org/gmane.comp.gnu.lilypond.general/55970

Subject: Re: maîtrisons l'auto beaming !
From: Editions IN NOMINE <[email-masked]>
To: Lilypond User FR <[email-masked]>
Date: Thu, 06 May 2010 17:16:09 +0200

Je vous entends me dire : il est gentil, mais en \time 2/2, quand je 
veux des croches en ligatures par 2, le tuplet devient (0.5 0.5 0.5 0. 
5) puisque l'unité de temps est la blanche, et Lily ne veut que des 
entiers ?

Yes, vous avez raison, en fait, et je vous donne la solution de la liste 
internationale :

\relative c'' {
\time 2/2
/%comportement par défaut en 2/2 = ligatures par 4 croches/
c8 c c d e e d d c e d d c2 \bar "||" \break
/%comportement souhaité = ligatures par 2 croches/
\overrideBeamSettings #'Score #'(2 . 2) #'end #'((* . (1 1 1 1)))
*\set Score.beatLength = #(ly:make-moment 1 4) *
/        % qui permet d'indiquer à Lily que OK c'est une règle qui 
s'applique aux passages en 2/2 mais il est gentil, il prend la noire 
comme             %unité de comptage dans le tuplet/
c8 c c d e e d d c e d d c2 \bar "|."
}

Bonne soirée !

JMarc

Editions IN NOMINE wrote:
> 2.13 & Ubuntu
>
> Bonjour à toutes et à tous !
>
> Je crois que j'ai compris l'override de l'auto-beaming, donc je 
> partage mes découvertes tellement j'ai galéré sur 2.12. :-D
> A mon avis, en 2.13, c'est bcp plus simple ! Voici donc ma vision des 
> choses, à partir de la doc 
> <http://lilypond.org/doc/v2.13/Documentation/notation/beams.html#Setting-automatic-beam-behavior> 
> :
>
> pour modifier le comportement des ligatures automatiques, il faut 
> utiliser, à partir de la version 2.13, la fonction suivante :
>
> \overrideBeamSettings #'Score #'(a . b) #'end #'((* . (x y)))
>
> *Il faut renseigner le couple (a . b) et le tuplet (x y)* - je dis 
> exprès tuplet parce qu'il peut comporter plus d'éléments que ça)
>
> (a . b)         = les chiffres de la métrique à laquelle cette 
> nouvelle règle s'applique
> /                    ex : (3 . 4) pour une métrique \time 3/4/
>
> #'end #'     = la règle s'exprime ainsi : "la ligature se *termine" 
> *(je suppose que si l'on veut parler de ligature qui "commence" on 
> utilise #'begin#', mais ça n'a                         pas vraiment de 
> sens)
>
> (x y)            = entiers désignant des fractions de mesure (nombres 
> entiers), à la fin desquelles (#'end#') la ligature s'achève.
>                   /ex :  pour une métrique à 3/4, si je souhaite avoir 
> 2 croches (c'est-à-dire 1 temps dans ce cas) puis 4 croches (2 temps), 
> je mets (1 2)
>                   mais si je souhaite avoir toutes les croches 
> ligaturées par 2 (à chaque temps), je mettrai le tuplet (1 1 1) parce 
> que je veux une ligature qui se                                termine 
> à la fin du 1er temps, puis du temps suivant, et enfin du dernier. Et 
> si je veux toutes les croches ligaturées, j'indique une fin de 
> ligature en fin                     de 3 temps : (3)
> /
>
> Et comme à l'école, petit exercice d'application : ligature 
> automatique des croches par 2 dans une métrique à 4/4 (je l'utilise 
> très souvent) :
>
> \version "2.13"
>
> \relative c'' {
> %comportement par défaut = ligature de 4 croches
> c8 c c d e e d d c e d d c2 \bar "||" \break
> *%comportement souhaité = ligature de 2 croches
> \overrideBeamSettings #'Score #'(4 . 4) #'end #'((* . (1 1 1 1)))*
> c8 c c d e e d d c e d d c2  \bar "|." \break
> %comportement souhaité = ligature par 8 croches (pour le fun)
> \overrideBeamSettings #'Score #'(4 . 4) #'end #'((* . (0 4)))
> c8 c c d e e d d c e d d c2 \bar "|."
> }
>
> Personnellemnt, je trouve cela beaucoup plus intuitif, et très 
> graphique. Il faut dire que je n'ai jamais pris la peine de comprendre 
> correctement la méthode de la version 2.12... :-[
>
> Enjoy !
>
> JMarc
>